{
"error": {
"code": "bad_request",
"message": "The requested resource was not found.",
"doc_url": "https://docs.orgnise.in/api-reference/errors#bad_request"
}
}
{
"error": {
"code": "unauthorized",
"message": "The requested resource was not found.",
"doc_url": "https://docs.orgnise.in/api-reference/errors#unauthorized"
}
}
{
"error": {
"code": "forbidden",
"message": "The requested resource was not found.",
"doc_url": "https://docs.orgnise.in/api-reference/errors#forbidden"
}
}
{
"error": {
"code": "not_found",
"message": "The requested resource was not found.",
"doc_url": "https://docs.orgnise.in/api-reference/errors#not_found"
}
}
{
"error": {
"code": "conflict",
"message": "The requested resource was not found.",
"doc_url": "https://docs.orgnise.in/api-reference/errors#conflict"
}
}
{
"error": {
"code": "invite_expired",
"message": "The requested resource was not found.",
"doc_url": "https://docs.orgnise.in/api-reference/errors#invite_expired"
}
}
{
"error": {
"code": "unprocessable_entity",
"message": "The requested resource was not found.",
"doc_url": "https://docs.orgnise.in/api-reference/errors#unprocessable_entity"
}
}
{
"error": {
"code": "rate_limit_exceeded",
"message": "The requested resource was not found.",
"doc_url": "https://docs.orgnise.in/api-reference/errors#rate_limit_exceeded"
}
}
{
"error": {
"code": "internal_server_error",
"message": "The requested resource was not found.",
"doc_url": "https://docs.orgnise.in/api-reference/errors#internal_server_error"
}
}
workspaces
Create a workspace
Create a new workspace. Workspaces are collections of projects and tasks. Workspaces can be private or public. Private workspaces are only visible to members of the workspace.
POST
/
teams
/
{team_slug}
/
workspaces
Create a workspace
curl --request POST \ --url https://api.orgnise.in/teams/{team_slug}/workspaces \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "name": "Engineering Workspace", "description": "A workspace for the engineering team.", "visibility": "public", "defaultAccess": "full"}'
Create a new workspace. Workspaces are collections of projects and tasks. Workspaces can be private or public. Private workspaces are only visible to members of the workspace.
The default access level of the workspace. Full access allows members to perform all actions in the workspace. Read access allows members to view the workspace but not make changes.
Available options:
full,
read-only
Example:
"full"
Response
The created workspace
A workspace is a collection of projects and tasks. Workspaces can be private or public. Private workspaces are only visible to members of the workspace.
The default access level of the workspace. Full access allows members to perform all actions in the workspace. Read access allows members to view the workspace but not make changes.
{"docsConfig":{"$schema":"https://mintlify.com/docs.json","theme":"mint","name":"Orgnise","colors":{"primary":"#9563FF","light":"#AE87FF","dark":"#0D001D"},"favicon":"/favicon.svg","logo":{"light":"https://mintcdn.com/orgnise/4XUEaCZEjm10ZMTZ/logo/light.svg?fit=max\u0026auto=format\u0026n=4XUEaCZEjm10ZMTZ\u0026q=85\u0026s=b3419d5399444cdef3cbfe1eda4624b4","dark":"https://mintcdn.com/orgnise/4XUEaCZEjm10ZMTZ/logo/dark.svg?fit=max\u0026auto=format\u0026n=4XUEaCZEjm10ZMTZ\u0026q=85\u0026s=db4501da9585889c4c9ae041e2b2a1db"},"background":{"image":"https://mintlify.s3.us-west-1.amazonaws.com/orgnise/images/background.png","decoration":null,"color":{"light":null,"dark":"#090014"}},"navbar":{"links":[{"label":"Support","href":"mailto:orgnisehq@gmail.com"}],"primary":{"type":"button","label":"Dashboard","href":"https://orgnise.in"}},"seo":{"metatags":{"og:image":"https://orgnise.in/opengraph-image.png"},"indexing":"navigable"},"footer":{"socials":{"x":"https://twitter.com/OrgniseApp","github":"https://github.com/Orgnise","linkedin":"https://linkedin.com/in/orgnise/"}},"navigation":{"global":{"anchors":[{"anchor":"Github","href":"https://github.com/orgnise","icon":"github"},{"anchor":"Twitter","href":"https://twitter.com/OrgniseApp","icon":"twitter"},{"anchor":"LinkedIn","href":"https://www.linkedin.com/company/orgnise","icon":"linkedin"}]},"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"orgnise","hasAudioNarration":false,"actualSubdomain":"orgnise","customDomains":["docs.orgnise.in"],"gitSource":{"type":"github","owner":"orgnise","repo":"docs","deployBranch":"main","contentDirectory":"","isPrivate":false,"mountPath":"","label":""},"feedback":{"thumbs":true,"edits":true},"entitlements":{},"buildId":"6ae91fb6cfea1bf97532a64c:success","clientVersion":"0.0.4076","searchFilterCounts":[{"language":"default","tag":"API Reference","count":14},{"language":"default","tag":"Documentation","count":13},{"language":"default","tag":"Get Started","count":13},{"language":"default","tag":"use-cases","count":6},{"language":"default","tag":"workspaces","count":5},{"language":"default","tag":"Key-Terms","count":5},{"language":"default","tag":"teams","count":4},{"language":"default","tag":"collections","count":3},{"language":"default","tag":"API Documentation","count":2}]},"assistantConfig":{},"basePath":"","hasChatPermissions":false,"hasWebMcpPermissions":false,"toggles":[{"name":"kill-isr","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-mintlify-slack","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-integrations-settings","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"rbac-expansion","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-pr-grouping","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"custom-prefix","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"analytics-v7","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"user-flows-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"no-publish-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-onboarding","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"llms-txt-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving-live","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"stripTemperatureMiddleware","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"support-platform-pylon-zendesk","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"instant-rollback","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications-server","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-fable","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fixed-ai-action-pricing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automation-resolve-merge-conflict","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"scoped-publishing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"mintql","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"page-level-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-version-history-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"billing-page-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"full-page-search","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workspace-projects","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"assistant-v5","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fork-pr-previews","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"revalidation-jwt","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-sso-scim","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"hobby-abuse-scan","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"dashboard-inbox","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-signup","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"turbopuffer-dual-write","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-enabled","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"approve-review-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-metadata","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"sso-setup-deadline-banner","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"turbopuffer-serve","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"live-agents","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"comment-mode","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false}],"googleFontsInlined":false},"customCss":[],"page":{"pagePath":"api-reference/workspaces/create-a-workspace","slug":"/api-reference/workspaces/create-a-workspace","pageMetadata":{"openapi":"post /teams/{team_slug}/workspaces","title":"Create a workspace","description":"Create a new workspace. Workspaces are collections of projects and tasks. Workspaces can be private or public. Private workspaces are only visible to members of the workspace.","href":"/api-reference/workspaces/create-a-workspace"},"description":{"compiledSource":"\"use strict\";\nconst {jsx: _jsx} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n p: \"p\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsx(_components.p, {\n children: \"Create a new workspace. Workspaces are collections of projects and tasks. Workspaces can be private or public. Private workspaces are only visible to members of the workspace.\"\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){return _jsx(_Fragment,{})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"openapi":"post /teams/{team_slug}/workspaces","title":"Create a workspace","description":"Create a new workspace. Workspaces are collections of projects and tasks. Workspaces can be private or public. Private workspaces are only visible to members of the workspace.","href":"/api-reference/workspaces/create-a-workspace"}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[],"codeExamples":{}},"jsLinks":[],"openApiReferenceData":{"operation":{"operationId":"createWorkspace","x-speakeasy-name-override":"create","summary":"Create a workspace","description":"Create a new workspace. Workspaces are collections of projects and tasks. Workspaces can be private or public. Private workspaces are only visible to members of the workspace.","tags":["workspaces"],"security":["6adf4c0c-c88f-4297-a328-fba6f3e09c78"],"parameters":["acb9554b-dd17-442e-8996-bc7fff3df6de"],"requestBody":"9a209e60-f08d-4f47-9a93-fadcb86674c3","responses":{"200":"28ef3e08-e6da-404e-8275-ea6c414b368a","400":"9a3f382a-2b43-4145-888d-dc8ad1db9859","401":"1c6cf83a-1ec3-4985-a603-0506a99ac2ff","403":"84427386-263e-48f0-b027-fe2fc877c011","404":"d6f55974-d3ad-410e-ab43-0e63cd0513b5","409":"14f590c4-e2f4-4048-bf47-962d08e34ace","410":"e5fb72c0-57f3-4f01-8d3c-24a0463dc4ae","422":"8f903aa4-3e99-4285-a64d-8573d04c2c7c","429":"d5ed4024-575b-4cc2-be9d-98646144fe8e","500":"5414cfc6-ecd3-47fa-8932-fe6d16132a4c"},"method":"post","type":"path","servers":["7ce9cdff-82fd-42f4-82e6-e6e2ad15ff9e"],"path":"/teams/{team_slug}/workspaces","baseUrlOptions":["https://api.orgnise.in"],"title":"Create a workspace","codeSamples":[],"requiredOnlyExamples":false,"requestExampleType":"generated","responseExampleType":"generated"},"dependencies":{"parameters":{"acb9554b-dd17-442e-8996-bc7fff3df6de":{"in":"path","name":"team_slug","description":"The slug of the team.","schema":{"type":"string","description":"The slug of the team.","isRequired":true,"uniqueKey":"","typeLabel":"string"},"required":true}},"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"name":{"type":"string","minLength":1,"maxLength":32,"description":"The name of the workspace.","isRequired":true,"uniqueKey":"name","typeLabel":"string"},"description":{"type":"string","maxLength":120,"default":"","description":"The description of the workspace.","uniqueKey":"description","typeLabel":"string"},"visibility":{"default":"public","description":"The visibility of the workspace. Private workspaces are only visible to members of the workspace.","example":"public","uniqueKey":"visibility","typeLabel":"any"},"defaultAccess":{"type":"string","enum":["full","read-only"],"default":"full","description":"The default access level of the workspace. Full access allows members to perform all actions in the workspace. Read access allows members to view the workspace but not make changes.","example":"full","uniqueKey":"defaultAccess","typeLabel":"enum\u003cstring>"}},"required":["name"],"title":"Create Workspace","description":"Create a new workspace. Workspaces are collections of projects and tasks. Workspaces can be private or public. Private workspaces are only visible to members of the workspace.","example":{"name":"Engineering Workspace","description":"A workspace for the engineering team.","visibility":"public","defaultAccess":"full"},"uniqueKey":"","typeLabel":"Create Workspace · object"},"examples":{"Example":{"title":"Example","value":{"name":"Engineering Workspace","description":"A workspace for the engineering team.","visibility":"public","defaultAccess":"full"}}},"exampleType":"generated"}},"exampleType":"generated"},"responses":{"28ef3e08-e6da-404e-8275-ea6c414b368a":{"description":"The created workspace","content":{"application/json":{"schema":{"type":"object","properties":{"_id":{"type":"string","description":"The unique ID of the workspace.","isRequired":true,"uniqueKey":"_id","typeLabel":"string"},"name":{"type":"string","description":"The name of the workspace.","isRequired":true,"uniqueKey":"name","typeLabel":"string"},"description":{"type":"string","maxLength":120,"default":"","description":"The description of the workspace.","isRequired":true,"uniqueKey":"description","typeLabel":"string"},"defaultAccess":{"type":"string","enum":["full","read-only"],"default":"full","description":"The default access level of the workspace. Full access allows members to perform all actions in the workspace. Read access allows members to view the workspace but not make changes.","example":"full","isRequired":true,"uniqueKey":"defaultAccess","typeLabel":"enum\u003cstring>"},"meta":{"type":"object","properties":{"title":{"type":"string","description":"The title of the workspace.","isRequired":true,"uniqueKey":"meta.title","typeLabel":"string"},"description":{"type":"string","description":"The description of the workspace.","isRequired":true,"uniqueKey":"meta.description","typeLabel":"string"},"slug":{"type":"string","description":"The slug of the workspace.","isRequired":true,"uniqueKey":"meta.slug","typeLabel":"string"}},"required":["title","description","slug"],"description":"The meta of the workspace.","isRequired":true,"uniqueKey":"meta","typeLabel":"object"},"Visibility":{"default":"public","description":"The visibility of the workspace. Private workspaces are only visible to members of the workspace.","example":"public","isRequired":true,"uniqueKey":"Visibility","typeLabel":"any"},"createdAt":{"type":"string","description":"The date and time when the workspace was created.","isRequired":true,"uniqueKey":"createdAt","typeLabel":"string"},"updatedAt":{"type":"string","description":"The date and time when the workspace was last updated.","isRequired":true,"uniqueKey":"updatedAt","typeLabel":"string"}},"required":["_id","name","description","defaultAccess","meta","Visibility","createdAt","updatedAt"],"title":"workspace","description":"A workspace is a collection of projects and tasks. Workspaces can be private or public. Private workspaces are only visible to members of the workspace.","uniqueKey":"","typeLabel":"workspace · object"},"examples":{"Example":{"title":"Example","value":{"_id":"\u003cstring>","name":"\u003cstring>","description":"","defaultAccess":"full","meta":{"title":"\u003cstring>","description":"\u003cstring>","slug":"\u003cstring>"},"Visibility":"public","createdAt":"\u003cstring>","updatedAt":"\u003cstring>"}}},"exampleType":"generated"}},"exampleType":"generated"},"9a3f382a-2b43-4145-888d-dc8ad1db9859":{"description":"The server cannot or will not process the request due to something that is perceived to be a client error (e.g., malformed request syntax, invalid request message framing, or deceptive request routing).","content":{"application/json":{"schema":{"x-speakeasy-name-override":"BadRequest","type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string","enum":["bad_request"],"description":"A short code indicating the error code returned.","example":"bad_request","isRequired":true,"uniqueKey":"error.code","typeLabel":"enum\u003cstring>"},"message":{"type":"string","description":"A human readable explanation of what went wrong.","example":"The requested resource was not found.","isRequired":true,"uniqueKey":"error.message","typeLabel":"string"},"doc_url":{"type":"string","description":"A link to our documentation with more details about this error code","example":"https://docs.orgnise.in/api-reference/errors#bad_request","uniqueKey":"error.doc_url","typeLabel":"string"}},"required":["code","message"],"isRequired":true,"uniqueKey":"error","typeLabel":"object"}},"required":["error"],"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"error":{"code":"bad_request","message":"The requested resource was not found.","doc_url":"https://docs.orgnise.in/api-reference/errors#bad_request"}}}},"exampleType":"generated"}},"exampleType":"generated"},"1c6cf83a-1ec3-4985-a603-0506a99ac2ff":{"description":"Although the HTTP standard specifies \"unauthorized\", semantically this response means \"unauthenticated\". That is, the client must authenticate itself to get the requested response.","content":{"application/json":{"schema":{"x-speakeasy-name-override":"Unauthorized","type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string","enum":["unauthorized"],"description":"A short code indicating the error code returned.","example":"unauthorized","isRequired":true,"uniqueKey":"error.code","typeLabel":"enum\u003cstring>"},"message":{"type":"string","description":"A human readable explanation of what went wrong.","example":"The requested resource was not found.","isRequired":true,"uniqueKey":"error.message","typeLabel":"string"},"doc_url":{"type":"string","description":"A link to our documentation with more details about this error code","example":"https://docs.orgnise.in/api-reference/errors#unauthorized","uniqueKey":"error.doc_url","typeLabel":"string"}},"required":["code","message"],"isRequired":true,"uniqueKey":"error","typeLabel":"object"}},"required":["error"],"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"error":{"code":"unauthorized","message":"The requested resource was not found.","doc_url":"https://docs.orgnise.in/api-reference/errors#unauthorized"}}}},"exampleType":"generated"}},"exampleType":"generated"},"84427386-263e-48f0-b027-fe2fc877c011":{"description":"The client does not have access rights to the content; that is, it is unauthorized, so the server is refusing to give the requested resource. Unlike 401 Unauthorized, the client's identity is known to the server.","content":{"application/json":{"schema":{"x-speakeasy-name-override":"Forbidden","type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string","enum":["forbidden"],"description":"A short code indicating the error code returned.","example":"forbidden","isRequired":true,"uniqueKey":"error.code","typeLabel":"enum\u003cstring>"},"message":{"type":"string","description":"A human readable explanation of what went wrong.","example":"The requested resource was not found.","isRequired":true,"uniqueKey":"error.message","typeLabel":"string"},"doc_url":{"type":"string","description":"A link to our documentation with more details about this error code","example":"https://docs.orgnise.in/api-reference/errors#forbidden","uniqueKey":"error.doc_url","typeLabel":"string"}},"required":["code","message"],"isRequired":true,"uniqueKey":"error","typeLabel":"object"}},"required":["error"],"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"error":{"code":"forbidden","message":"The requested resource was not found.","doc_url":"https://docs.orgnise.in/api-reference/errors#forbidden"}}}},"exampleType":"generated"}},"exampleType":"generated"},"d6f55974-d3ad-410e-ab43-0e63cd0513b5":{"description":"The server cannot find the requested resource.","content":{"application/json":{"schema":{"x-speakeasy-name-override":"NotFound","type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string","enum":["not_found"],"description":"A short code indicating the error code returned.","example":"not_found","isRequired":true,"uniqueKey":"error.code","typeLabel":"enum\u003cstring>"},"message":{"type":"string","description":"A human readable explanation of what went wrong.","example":"The requested resource was not found.","isRequired":true,"uniqueKey":"error.message","typeLabel":"string"},"doc_url":{"type":"string","description":"A link to our documentation with more details about this error code","example":"https://docs.orgnise.in/api-reference/errors#not_found","uniqueKey":"error.doc_url","typeLabel":"string"}},"required":["code","message"],"isRequired":true,"uniqueKey":"error","typeLabel":"object"}},"required":["error"],"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"error":{"code":"not_found","message":"The requested resource was not found.","doc_url":"https://docs.orgnise.in/api-reference/errors#not_found"}}}},"exampleType":"generated"}},"exampleType":"generated"},"14f590c4-e2f4-4048-bf47-962d08e34ace":{"description":"This response is sent when a request conflicts with the current state of the server.","content":{"application/json":{"schema":{"x-speakeasy-name-override":"Conflict","type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string","enum":["conflict"],"description":"A short code indicating the error code returned.","example":"conflict","isRequired":true,"uniqueKey":"error.code","typeLabel":"enum\u003cstring>"},"message":{"type":"string","description":"A human readable explanation of what went wrong.","example":"The requested resource was not found.","isRequired":true,"uniqueKey":"error.message","typeLabel":"string"},"doc_url":{"type":"string","description":"A link to our documentation with more details about this error code","example":"https://docs.orgnise.in/api-reference/errors#conflict","uniqueKey":"error.doc_url","typeLabel":"string"}},"required":["code","message"],"isRequired":true,"uniqueKey":"error","typeLabel":"object"}},"required":["error"],"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"error":{"code":"conflict","message":"The requested resource was not found.","doc_url":"https://docs.orgnise.in/api-reference/errors#conflict"}}}},"exampleType":"generated"}},"exampleType":"generated"},"e5fb72c0-57f3-4f01-8d3c-24a0463dc4ae":{"description":"This response is sent when the requested content has been permanently deleted from server, with no forwarding address.","content":{"application/json":{"schema":{"x-speakeasy-name-override":"InviteExpired","type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string","enum":["invite_expired"],"description":"A short code indicating the error code returned.","example":"invite_expired","isRequired":true,"uniqueKey":"error.code","typeLabel":"enum\u003cstring>"},"message":{"type":"string","description":"A human readable explanation of what went wrong.","example":"The requested resource was not found.","isRequired":true,"uniqueKey":"error.message","typeLabel":"string"},"doc_url":{"type":"string","description":"A link to our documentation with more details about this error code","example":"https://docs.orgnise.in/api-reference/errors#invite_expired","uniqueKey":"error.doc_url","typeLabel":"string"}},"required":["code","message"],"isRequired":true,"uniqueKey":"error","typeLabel":"object"}},"required":["error"],"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"error":{"code":"invite_expired","message":"The requested resource was not found.","doc_url":"https://docs.orgnise.in/api-reference/errors#invite_expired"}}}},"exampleType":"generated"}},"exampleType":"generated"},"8f903aa4-3e99-4285-a64d-8573d04c2c7c":{"description":"The request was well-formed but was unable to be followed due to semantic errors.","content":{"application/json":{"schema":{"x-speakeasy-name-override":"UnprocessableEntity","type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string","enum":["unprocessable_entity"],"description":"A short code indicating the error code returned.","example":"unprocessable_entity","isRequired":true,"uniqueKey":"error.code","typeLabel":"enum\u003cstring>"},"message":{"type":"string","description":"A human readable explanation of what went wrong.","example":"The requested resource was not found.","isRequired":true,"uniqueKey":"error.message","typeLabel":"string"},"doc_url":{"type":"string","description":"A link to our documentation with more details about this error code","example":"https://docs.orgnise.in/api-reference/errors#unprocessable_entity","uniqueKey":"error.doc_url","typeLabel":"string"}},"required":["code","message"],"isRequired":true,"uniqueKey":"error","typeLabel":"object"}},"required":["error"],"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"error":{"code":"unprocessable_entity","message":"The requested resource was not found.","doc_url":"https://docs.orgnise.in/api-reference/errors#unprocessable_entity"}}}},"exampleType":"generated"}},"exampleType":"generated"},"d5ed4024-575b-4cc2-be9d-98646144fe8e":{"description":"The user has sent too many requests in a given amount of time (\"rate limiting\")","content":{"application/json":{"schema":{"x-speakeasy-name-override":"RateLimitExceeded","type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string","enum":["rate_limit_exceeded"],"description":"A short code indicating the error code returned.","example":"rate_limit_exceeded","isRequired":true,"uniqueKey":"error.code","typeLabel":"enum\u003cstring>"},"message":{"type":"string","description":"A human readable explanation of what went wrong.","example":"The requested resource was not found.","isRequired":true,"uniqueKey":"error.message","typeLabel":"string"},"doc_url":{"type":"string","description":"A link to our documentation with more details about this error code","example":"https://docs.orgnise.in/api-reference/errors#rate_limit_exceeded","uniqueKey":"error.doc_url","typeLabel":"string"}},"required":["code","message"],"isRequired":true,"uniqueKey":"error","typeLabel":"object"}},"required":["error"],"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"error":{"code":"rate_limit_exceeded","message":"The requested resource was not found.","doc_url":"https://docs.orgnise.in/api-reference/errors#rate_limit_exceeded"}}}},"exampleType":"generated"}},"exampleType":"generated"},"5414cfc6-ecd3-47fa-8932-fe6d16132a4c":{"description":"The server has encountered a situation it does not know how to handle.","content":{"application/json":{"schema":{"x-speakeasy-name-override":"InternalServerError","type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string","enum":["internal_server_error"],"description":"A short code indicating the error code returned.","example":"internal_server_error","isRequired":true,"uniqueKey":"error.code","typeLabel":"enum\u003cstring>"},"message":{"type":"string","description":"A human readable explanation of what went wrong.","example":"The requested resource was not found.","isRequired":true,"uniqueKey":"error.message","typeLabel":"string"},"doc_url":{"type":"string","description":"A link to our documentation with more details about this error code","example":"https://docs.orgnise.in/api-reference/errors#internal_server_error","uniqueKey":"error.doc_url","typeLabel":"string"}},"required":["code","message"],"isRequired":true,"uniqueKey":"error","typeLabel":"object"}},"required":["error"],"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"error":{"code":"internal_server_error","message":"The requested resource was not found.","doc_url":"https://docs.orgnise.in/api-reference/errors#internal_server_error"}}}},"exampleType":"generated"}},"exampleType":"generated"}},"security":{"6adf4c0c-c88f-4297-a328-fba6f3e09c78":{"token":{"type":"http","description":"Default authentication mechanism","scheme":"bearer","scopes":[]}}},"servers":{"7ce9cdff-82fd-42f4-82e6-e6e2ad15ff9e":{"url":"https://api.orgnise.in","description":"Production API"}},"processedSecurityOptions":[{"schemes":[{"scheme":{"type":"http","description":"Default authentication mechanism","scheme":"bearer","scopes":[]},"schema":{"title":"Bearer Auth","type":"string","isRequired":true,"description":"Default authentication mechanism","format":"bearer","typeLabel":"string\u003cbearer>","deprecated":false},"schemeName":"token","name":"Authorization"}],"title":"token"}]},"originalFileLocation":"api-reference/openapi.json"},"subdomain":"orgnise","siteName":"Orgnise","title":"Create a workspace - Orgnise","navMaps":{"firstHrefInVersion":{},"firstHrefInLanguage":{}},"lastModified":"2026-01-07T01:48:51.028Z","originalFileLocation":"api-reference/workspaces/create-a-workspace.mdx"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"system\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"description\" content=\"Create a new workspace. Workspaces are collections of projects and tasks. Workspaces can be private or public. Private workspaces are only visible to members of the workspace.\">\u003cmeta data-mint-head name=\"application-name\" content=\"Orgnise\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/orgnise/BlLabFGTN1IVLGov/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/mintlify-assets/_mintlify/favicons/orgnise/BlLabFGTN1IVLGov/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/orgnise/BlLabFGTN1IVLGov/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/orgnise/BlLabFGTN1IVLGov/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/orgnise/BlLabFGTN1IVLGov/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/orgnise/BlLabFGTN1IVLGov/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/orgnise/BlLabFGTN1IVLGov/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/orgnise/BlLabFGTN1IVLGov/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/orgnise/BlLabFGTN1IVLGov/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"Create a workspace - Orgnise\">\u003cmeta data-mint-head property=\"og:description\" content=\"Create a new workspace. Workspaces are collections of projects and tasks. Workspaces can be private or public. Private workspaces are only visible to members of the workspace.\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"Orgnise\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://docs.orgnise.in/api-reference/workspaces/create-a-workspace\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://orgnise.in/opengraph-image.png\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"Create a workspace - Orgnise\">\u003cmeta data-mint-head name=\"twitter:description\" content=\"Create a new workspace. Workspaces are collections of projects and tasks. Workspaces can be private or public. Private workspaces are only visible to members of the workspace.\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://orgnise.in/opengraph-image.png\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/mintlify-assets/_mintlify/favicons/orgnise/BlLabFGTN1IVLGov/_generated/favicon/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"Orgnise\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#9563FF\">\u003clink data-mint-head rel=\"canonical\" href=\"https://docs.orgnise.in/api-reference/workspaces/create-a-workspace\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/api-reference/workspaces/create-a-workspace.md\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://docs.orgnise.in/#organization\",\"name\":\"Orgnise\",\"url\":\"https://docs.orgnise.in\",\"logo\":{\"@type\":\"ImageObject\",\"url\":\"https://mintcdn.com/orgnise/4XUEaCZEjm10ZMTZ/logo/light.svg?fit=max\u0026auto=format\u0026n=4XUEaCZEjm10ZMTZ\u0026q=85\u0026s=b3419d5399444cdef3cbfe1eda4624b4\"}},{\"@type\":\"WebSite\",\"@id\":\"https://docs.orgnise.in#website\",\"name\":\"Orgnise\",\"url\":\"https://docs.orgnise.in\",\"publisher\":{\"@id\":\"https://docs.orgnise.in/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://docs.orgnise.in/api-reference/workspaces/create-a-workspace#webpage\",\"url\":\"https://docs.orgnise.in/api-reference/workspaces/create-a-workspace\",\"name\":\"Create a workspace\",\"description\":\"Create a new workspace. Workspaces are collections of projects and tasks. Workspaces can be private or public. Private workspaces are only visible to members of the workspace.\",\"dateModified\":\"2026-01-07T01:48:51.028Z\",\"isPartOf\":{\"@id\":\"https://docs.orgnise.in#website\"},\"breadcrumb\":{\"@id\":\"https://docs.orgnise.in/api-reference/workspaces/create-a-workspace#breadcrumb\"}},{\"@type\":\"BreadcrumbList\",\"@id\":\"https://docs.orgnise.in/api-reference/workspaces/create-a-workspace#breadcrumb\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"name\":\"workspaces\",\"item\":\"https://docs.orgnise.in/api-reference/workspaces/retrieve-a-list-of-workspace\"},{\"@type\":\"ListItem\",\"position\":2,\"name\":\"Create a workspace\",\"item\":\"https://docs.orgnise.in/api-reference/workspaces/create-a-workspace\"}]},{\"@type\":[\"TechArticle\",\"APIReference\"],\"@id\":\"https://docs.orgnise.in/api-reference/workspaces/create-a-workspace#apireference\",\"headline\":\"Create a workspace\",\"name\":\"Create a workspace\",\"description\":\"Create a new workspace. Workspaces are collections of projects and tasks. Workspaces can be private or public. Private workspaces are only visible to members of the workspace.\",\"url\":\"https://docs.orgnise.in/api-reference/workspaces/create-a-workspace\",\"mainEntityOfPage\":{\"@id\":\"https://docs.orgnise.in/api-reference/workspaces/create-a-workspace#webpage\"},\"image\":\"https://orgnise.in/opengraph-image.png\",\"dateModified\":\"2026-01-07T01:48:51.028Z\",\"publisher\":{\"@id\":\"https://docs.orgnise.in/#organization\"},\"isPartOf\":{\"@id\":\"https://docs.orgnise.in#website\"}}]}\u003c/script>\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@type\":\"WebSite\",\"name\":\"Orgnise\",\"creator\":{\"@type\":\"Organization\",\"name\":\"Mintlify\",\"url\":\"https://mintlify.com\"}}\u003c/script>","siteName":"Orgnise","nav":{"global":{"anchors":[{"anchor":"Github","href":"https://github.com/orgnise","icon":"github"},{"anchor":"Twitter","href":"https://twitter.com/OrgniseApp","icon":"twitter"},{"anchor":"LinkedIn","href":"https://www.linkedin.com/company/orgnise","icon":"linkedin"}]},"tabs":[{"tab":"Documentation","pages":[{"title":"Documentation","href":"/introduction"}]},{"tab":"API Reference","groups":[{"group":"API Documentation","pages":[{"title":"Introduction","href":"/api-reference/introduction"},{"title":"Errors","href":"/api-reference/errors"}]},{"group":"teams","pages":[{"openapi":"get /teams","title":"Retrieve a list of team","href":"/api-reference/teams/retrieve-a-list-of-team"},{"openapi":"post /teams","title":"Create a team","href":"/api-reference/teams/create-a-team"},{"openapi":"get /teams/{team_slug}","title":"Retrieve a team","href":"/api-reference/teams/retrieve-a-team"},{"openapi":"put /teams/{team_slug}","title":"update a team","href":"/api-reference/teams/update-a-team"}]},{"group":"workspaces","pages":[{"openapi":"get /teams/{team_slug}/workspaces","title":"Retrieve a list of workspace","description":"Retrieve a list of workspace for the authenticated user.","href":"/api-reference/workspaces/retrieve-a-list-of-workspace"},{"openapi":"post /teams/{team_slug}/workspaces","title":"Create a workspace","href":"/api-reference/workspaces/create-a-workspace"},{"openapi":"get /teams/{team_slug}/workspaces/{workspace_slug}","title":"Retrieve a workspace","description":"Retrieve a workspace for the authenticated user.","href":"/api-reference/workspaces/retrieve-a-workspace"},{"openapi":"put /teams/{team_slug}/workspaces/{workspace_slug}","title":"update a workspace","href":"/api-reference/workspaces/update-a-workspace"},{"openapi":"delete /teams/{team_slug}/workspaces/{workspace_slug}","title":"Delete a workspace","href":"/api-reference/workspaces/delete-a-workspace"}]},{"group":"collections","pages":[{"openapi":"get /collections","title":"Retrieve a list of collections","href":"/api-reference/collections/retrieve-a-list-of-collections"},{"openapi":"post /collections","title":"Create a collection/page","href":"/api-reference/collections/create-a-collectionpage"},{"openapi":"post /collections/reorder","title":"Reorder a collection/page","href":"/api-reference/collections/reorder-a-collection"}]}]}]},"basePath":"","title":"Create a workspace - Orgnise","buildId":"dpl_8LJbrAiZvr1K98WQNZXCyY5AvT34","deploymentId":"dpl_8LJbrAiZvr1K98WQNZXCyY5AvT34","dynamics":["c2aa737661","2b790eda92","b0f84f53ff","a9bb46feb3"],"chunks":["OpenApiReferenceProvider-i2a3QZ8E.js","utils-ChLwp8m0.js","cloneDeep-izs3Hzxb.js","_Uint8Array-BVIqJ90l.js","isObjectLike-C8vmzPEN.js","isArray-Dcu1dQ5t.js","utils-DRktVTDc.js","toString-BX-iyh8G.js","isSymbol-CSH9U2Gm.js","addUniqueKeysToSchema-CA2pEs4T.js","snippetPresets-ClQ6XrKD.js","style-to-object-BY3JEAdk.js","v4-DIgz8zy6.js","ApiExamples-Ct_Lv36y.js","isEqual-BfaiBbcl.js","usePlaygroundInputsStore-Cn2PYw9e.js","shallow-rkyymjXQ.js","getApiPlaygroundDisplay-BB9vkXtE.js","CodeSnippet-Bm5RU7m1.js","CodeSnippets-BgU9Deuz.js","Page-BUDYNlhG.js","getPastedJson-BD-6NNum.js","icon-8Z6tud2e.js","MethodPill-Tuzr4g3V.js","DuplicateIcon-0ceWFYhN.js","createIcon-FBXow_ST.js","DynamicMarkdown-CD8713Yy.js","SectionHeading-7zgzQbH-.js","axios-vUo_bRtp.js","Markdown-D7Ofw1oz.js","clsx-eKJ4rcii.js","lib-DuNMoZ05.js","lib-B8HbPgcC.js","html-void-elements-mCSPHezU.js","dist-CwjSCXIK.js","katex-YMM-FMeD.js","marked.esm-CZWythHk.js","AssistantPageLink-9EK5IAXV.js"]}